package com.github.microservice.components.data.mongo.queue.dao.extend;

import com.github.microservice.components.data.mongo.queue.domain.ExecQueue;

import java.util.List;

public interface ExecQueueDaoExtend {

    boolean updateStatus(String id, ExecQueue.ExecQueueStatus status);


    List<ExecQueue> scanWait(int maxCount);


    //回复待执行队列
    long restoreWaitStatus(long executeTimeOut);

}
